//// BEGIN COMPILER 0 INFO LOG ////

//// END COMPILER 0 INFO LOG ////


//// BEGIN COMPILER 0 OBJ CODE ////
#extension GL_ARB_gpu_shader5 : enable
vec4 _utexture(in sampler2D _us, in vec2 _uc){
return texture2D(_us, _uc);
}
uniform vec3 _uiResolution;
uniform float _uiTime;
uniform float _uiTimeDelta;
uniform int _uiFrame;
uniform float _uiFrameRate;
uniform float _uiChannelTime[4];
uniform vec3 _uiChannelResolution[4];
uniform vec4 _uiMouse;
uniform sampler2D _uiChannel0;
uniform sampler2D _uiChannel1;
uniform sampler2D _uiChannel2;
uniform sampler2D _uiChannel3;
uniform vec4 _uiDate;
uniform float _uiSampleRate;
struct _uChannel {
vec3 _uresolution;
float _utime;
};
uniform _uChannel _uiChannel[4];
void _umainImage(out vec4 _ufragColor, in vec2 _ufragCoord);
void main(){
vec4 _ucolor = vec4(0.0, 0.0, 0.0, 1.0);
_umainImage(_ucolor, gl_FragCoord.xy);
(_ucolor.w = 1.0);
(gl_FragColor = _ucolor);
}
float _uhead(in vec2 _upos, in vec2 _uuv){
vec2 _uv = (_upos - _uuv);
float _ud = ((dot(_uv, _uv) * 10.0) - 1.0);
return smoothstep(0.0, 0.029999999, (_ud * _ud));
}
float _ubody(in vec2 _upos, in vec2 _uuv){
vec2 _uv = (_upos - _uuv);
float _udx = (_uv.x * _uv.x);
float _ud = dot(_uv, _uv);
return clamp((smoothstep(0.0, 0.1, (_udx * 100.0)) + smoothstep(0.5, 0.60000002, _ud)), 0.0, 1.0);
}
vec2 _urotation(in vec2 _up, in float _uangle){
return (mat2(cos(_uangle), (-sin(_uangle)), sin(_uangle), cos(_uangle)) * _up);
}
float _uleg(in vec2 _upos, in vec2 _uuv, in float _uangle){
vec2 _uv = (_urotation((_upos - _uuv), _uangle) - vec2(0.0, 0.5));
float _udx = (_uv.x * _uv.x);
float _ud = dot(_uv, _uv);
return clamp((smoothstep(0.0, 0.1, (_udx * 100.0)) + smoothstep(0.2, 0.30000001, _ud)), 0.0, 1.0);
}
float _uarm(in vec2 _upos, in vec2 _uuv, in float _uangle1, in float _uangle2){
vec2 _uv = (_urotation((_upos - _uuv), _uangle1) - vec2(0.0, 0.34999999));
float _udx = (_uv.x * _uv.x);
float _ud = dot(_uv, _uv);
vec2 _uv2 = (_urotation((_uv - vec2(0.0, 0.34999999)), _uangle2) - vec2(0.0, 0.34999999));
float _udx2 = (_uv2.x * _uv2.x);
float _ud2 = dot(_uv2, _uv2);
return (clamp((smoothstep(0.0, 0.1, (_udx * 100.0)) + smoothstep(0.1, 0.15000001, _ud)), 0.0, 1.0) * clamp((smoothstep(0.0, 0.1, (_udx2 * 100.0)) + smoothstep(0.1, 0.15000001, _ud2)), 0.0, 1.0));
}
float _ustickman(in vec2 _upos, in vec2 _uuv, in float _ubass, in float _uangle1, in float _uangle2){
vec2 _uv = (_uuv - _upos);
float _ud = _uhead(vec2(0.0, 0.80000001), (_uv * 1.5));
(_ud *= _ubody(vec2(0.0, -0.1), (_uv * 2.0)));
(_ud *= _uleg(vec2(0.0, -0.80000001), (_uv * 2.0), _uangle1));
(_ud *= _uleg(vec2(0.0, -0.80000001), (_uv * 2.0), (-_uangle1)));
(_ud *= _uarm(vec2(0.0, 0.64999998), (_uv * 2.0), (_uangle2 + _ubass), (_uiTime + (_ubass * 2.0))));
(_ud *= _uarm(vec2(0.0, 0.64999998), (_uv * 2.0), (-(_uangle2 + _ubass)), ((-_uiTime) + (_ubass * 2.0))));
return _ud;
}
void _umainImage(out vec4 _ufragColor, in vec2 _ufragCoord){
vec2 _uuv = ((-1.0 + ((2.0 * _ufragCoord.xy) / _uiResolution.xy)) * vec2((_uiResolution.x / _uiResolution.y), 1.0));
float _ubass = 0.0;
for (float _uf = 0.0; (_uf <= 0.25); (_uf += 0.0099999998))
{
(_ubass += _utexture(_uiChannel0, vec2(_uf, 0.25)).x);
}
(_ubass = (-1.0 + (2.0 * _ubass)));
vec3 _uco = vec3(1.0, 1.0, 1.0);
(_uco *= _ustickman(vec2(0.0, 0.0), _uuv, _ubass, 0.392699, 0.78539801));
(_uco *= _ustickman(vec2(-1.0, 0.0), _uuv, _ubass, 0.392699, 3.141592));
(_uco *= _ustickman(vec2(1.0, 0.0), _uuv, _ubass, 1.0471973, 1.0471973));
(_uco *= vec3(sin(_uuv.x), cos(_uuv.x), sin((_uuv.x * _uuv.y))));
(_ufragColor = vec4(_uco, 1.0));
}

//// END COMPILER 0 OBJ CODE ////


